Create gate
curl --request POST \
--url https://api.vidbeo.com/v2/videos/{VIDEO_ID}/gates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"show_at": "<string>",
"skip": true,
"top_text": "<string>",
"bottom_text": "<string>",
"fields": [
{}
],
"connect_service_id": "<string>",
"connect_list_id": "<string>"
}
'import requests
url = "https://api.vidbeo.com/v2/videos/{VIDEO_ID}/gates"
payload = {
"name": "<string>",
"show_at": "<string>",
"skip": True,
"top_text": "<string>",
"bottom_text": "<string>",
"fields": [{}],
"connect_service_id": "<string>",
"connect_list_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
show_at: '<string>',
skip: true,
top_text: '<string>',
bottom_text: '<string>',
fields: [{}],
connect_service_id: '<string>',
connect_list_id: '<string>'
})
};
fetch('https://api.vidbeo.com/v2/videos/{VIDEO_ID}/gates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "abcde12345abcde12345a",
"name": "Example",
"show_at": "00:00:05",
"skip": false,
"top_text": "Example text",
"bottom_text": "Bottom text",
"fields": [
{
"label": "Email",
"value": "email"
}
],
"connect_service_id": "abcde12345abcde12345a",
"connect_list_id": "abcde"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Invalid data sent"
}
]
}Videos
Create gate
Create a new gate
POST
/
videos
/
{VIDEO_ID}
/
gates
Create gate
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the video
Example:
"abcde12345abcde12345a"
Body
application/json
A short label for the gate
Maximum string length:
100The time-code the gate should appear at, as HH:MM:SS
Maximum string length:
8Can the user skip/hide it?
The main text shown on the gate
Maximum string length:
100The lower text shown on the gate
Maximum string length:
100The fields to ask For
Show child attributes
Show child attributes
The id of a service connected to your account (such as Mailchimp)
Maximum string length:
100The id of a contacts list (audience) you have within that connected service that the viewer's data will be added to
Maximum string length:
100⌘I